#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBE,0x96,0x03,0x18,0xC2,0xF3,0x05,0x12,0xE0,0x63,0x9D,0x7F,
		0x14,0x9A,0xFD,0x96,0x53,0x3B,0x88,0x72,0x9E,0x44,0x9A,0x57,
		0x62,0xCA,0xFA,0x4F,0x0E,0xEE,0xE5,0x1C,0xDE,0xD8,0xA3,0x45,
		0xD5,0x0E,0x80,0x81,0x2D,0x60,0x62,0x06,0x7D,0x7E,0x24,0xE6,
		0x97,0xCB,0x11,0x5F,0x2B,0xC2,0xC7,0x23,0x3E,0x2B,0x7F,0x72,
		0x09,0x47,0xCC,0x6B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
